<?php
if(!defined('DS'))
	define('DS', DIRECTORY_SEPARATOR);
if(!include_once(rtrim(JPATH_ADMINISTRATOR,DS).DS.'components'.DS.'com_hikamarket'.DS.'helpers'.DS.'helper.php')) {
	echo 'This module can not work without the HikaMarket Component';
	return;
}

// hikamarket::initModule();
$params->set('from_module', $module->id);

$marketConfig = hikamarket::config();
$module_options = $marketConfig->get('params_'.$module->id);
if(empty($module_options)) {
	$shopConfig = hikamarket::config(false);
	$module_options = $shopConfig->get('default_params');
}

foreach($module_options as $key => $option) {
	if($key != 'moduleclass_sfx')
		$params->set($key,$option);
}

foreach(get_object_vars($module) as $k => $v) {
	if(!is_object($v))
		$params->set($k,$v);
}

$db = JFactory::getDBO();
$option = JRequest::getVar('option', '');
$ctrl = JRequest::getVar('ctrl', '');
$task = JRequest::getVar('task', '');

$vendor_id = 0;
if($option == 'com_hikamarket') {
	if($ctrl == 'vendor' && $task == 'show')
		$vendor_id = (int)hikamarket::getCID('cid');
}
if($option == 'com_hikashop') {
	if($ctrl == 'product' && $task == 'show') {
		$product_id = (int)hikashop_getCID('product_id');
		$query = 'SELECT product_vendor_id FROM '.hikamarket::table('shop.product').' WHERE product_id = '.$product_id;
		$db->setQuery($query);
		$vendor_id = (int)$db->loadResult();
		if(empty($vendor_id)) {
			$query = 'SELECT a.product_vendor_id FROM '.hikamarket::table('shop.product').' AS a INNER JOIN '.hikamarket::table('shop.product').' AS b ON a.product_id = b.product_parent_id WHERE b.product_id = '.$product_id;
			$db->setQuery($query);
			$vendor_id = (int)$db->loadResult();
		}
	}
}

if(empty($vendor_id))
	return;

$statuses = explode(',', $marketConfig->get('valid_order_statuses', 'confirmed,shipped'));
foreach($statuses as $k => $status) {
	$statuses[$k] = $db->Quote($status);
}

$query = 'SELECT SUM(p.order_product_quantity) FROM '.hikamarket::table('shop.order').' AS o INNER JOIN '.hikamarket::table('shop.order_product').' AS p ON p.order_id = o.order_id WHERE o.order_status IN ('.implode(',', $statuses).') AND o.order_type = \'subsale\' AND o.order_vendor_id = '.$vendor_id;
$db->setQuery($query);
$soldProductsCounter = (int)$db->loadResult();

?><div class="hikamarket_vendor_module" id="hikamarket_vendor_productssold_module">
	<dl>
		<dt><?php echo JText::_('MARKET_PRODUCTS_SOLD');?></dt>
		<dd><?php echo $soldProductsCounter; ?></dd>
	</dl>
</div>